/* simple animations */
.fade-in {opacity: 0.001; }
.slide-from-bottom {transform: translateY(10%); will-change: transform;}
.slide-from-top {transform: translateY(-10%); will-change: transform;}
.slide-from-left {transform: translateX(-10%); will-change: transform;}
.slide-from-right {transform: translateX(10%); will-change: transform;}

.is_inview .fade-in, .is_inview.fade-in {opacity: 1; transition: opacity .6s ease;}
.is_inview .slide-from-bottom, .is_inview.slide-from-bottom,
.is_inview .slide-from-top, .is_inview.slide-from-top {transform: translateY(0); transition: transform .8s cubic-bezier(0.260, 0.860, 0.440, 0.985);}

.is_inview .slide-from-left, .is_inview.slide-from-left,
.is_inview .slide-from-right, .is_inview.slide-from-right {transform: translateX(0); transition: transform .8s cubic-bezier(0.260, 0.860, 0.440, 0.985);}

.is_inview .fade-in.slide-from-bottom, .is_inview .fade-in.slide-from-top, .is_inview .fade-in.slide-from-left, .is_inview .fade-in.slide-from-right,
.is_inview.fade-in.slide-from-bottom, .is_inview.fade-in.slide-from-top, .is_inview.fade-in.slide-from-left, .is_inview.fade-in.slide-from-right {transition: opacity .6s ease, transform .8s cubic-bezier(0.260, 0.860, 0.440, 0.985);}

.is_inview.delay-0-1s {transition-delay: .1s!important;}
.is_inview.delay-0-2s {transition-delay: .2s!important;}
.is_inview.delay-0-3s {transition-delay: .3s!important;}
.is_inview.delay-0-4s {transition-delay: .4s!important;}
.is_inview.delay-0-5s {transition-delay: .5s!important;}
.is_inview.delay-0-6s {transition-delay: .5s!important;}
.is_inview.delay-0-7s {transition-delay: .7s!important;}
.is_inview.delay-0-8s {transition-delay: .8s!important;}
.is_inview.delay-0-9s {transition-delay: .9s!important;}
.is_inview.delay-1-0s {transition-delay: 1s!important;}


.wpb_button, .wpb_content_element, ul.wpb_thumbnails-fluid > li {margin-bottom: 3rem;}

.wpb_single_image.full-width-img * {display: block;}
.wpb_single_image.full-width-img img {width: 100%; height: auto;}

.vc_row:not(.vc_inner) {overflow: visible; position: relative;  z-index: 100; background: var(--bg-color-primary); padding-top: 3rem; padding-bottom: 3rem; padding-top: clamp(1.92rem, 3.9vw, 3rem); padding-bottom: clamp(1.92rem, 3.9vw, 3rem);}
.vc_row.row_no_bg:not(.vc_inner) {background: none;}

.vc_row {position: relative; z-index: 100;}
.vc_row .vc_row:not(:last-child) {padding-bottom: 30px;}
.vc_row.flex-row-reverse {flex-direction: row-reverse;}

.vc_row.bg-top-contain-position {background-position: top center!important; background-size: 100% auto!important;}


.vc_col-has-fill > .vc_column-inner, 
.vc_row-has-fill + .vc_row-full-width + .vc_row > .vc_column_container > .vc_column-inner, 
.vc_row-has-fill + .vc_row > .vc_column_container > .vc_column-inner, 
.vc_row-has-fill > .vc_column_container > .vc_column-inner {
  /* padding-top: 35px; overwritten from js_composer.min.css */
  padding-top: 0;
}

.vc_row-no-padding .vc_col-sm-12 .wpb_single_image * {display: block;}
.vc_row-no-padding .vc_col-sm-12 .wpb_single_image img, .vc_row-no-padding .vc_col-sm-12 picture img, .vc_row-no-padding .vc_col-sm-12 picture video {width: 100%;}

.wpb_column {z-index: 1000;}
.wpb_column:first-child {z-index: 1100;}

/* padding spaces */
.padd-bottom-0, .vc_row.padd-bottom-0, .vc_row .vc_row.padd-bottom-0 {padding-bottom: 0;}
.padd-bottom-0_6, .vc_row.padd-bottom-0_6, .vc_row .vc_row.padd-bottom-0_6 {padding-bottom: clamp(.384rem, 0.78vw, .6rem);}
.padd-bottom-1, .vc_row.padd-bottom-1, .vc_row .vc_row.padd-bottom-1 {padding-bottom: clamp(.64rem, 1.3vw, 1rem);}
.padd-bottom-2, .vc_row.padd-bottom-2, .vc_row .vc_row.padd-bottom-2 {padding-bottom: clamp(1.28rem, 2.6vw, 2rem);}
.padd-bottom-3, .vc_row.padd-bottom-3, .vc_row .vc_row.padd-bottom-3 {padding-bottom: clamp(1.92rem, 3.9vw, 3rem);}
.padd-bottom-4, .vc_row.padd-bottom-4, .vc_row .vc_row.padd-bottom-4 {padding-bottom: clamp(2.56rem, 5.2vw, 4rem);}
.padd-bottom-5, .vc_row.padd-bottom-5, .vc_row .vc_row.padd-bottom-5 {padding-bottom: clamp(3.2rem, 6.5vw, 5rem);}
.padd-bottom-6, .vc_row.padd-bottom-6, .vc_row .vc_row.padd-bottom-6 {padding-bottom: clamp(3.84rem, 7.8vw, 6rem);}
.padd-bottom-7, .vc_row.padd-bottom-7, .vc_row .vc_row.padd-bottom-7 {padding-bottom: clamp(4.48rem, 9.11vw, 7rem);}
.padd-bottom-8, .vc_row.padd-bottom-8, .vc_row .vc_row.padd-bottom-8 {padding-bottom: clamp(5.12rem, 10.4vw, 8rem);}
.padd-bottom-9, .vc_row.padd-bottom-9, .vc_row .vc_row.padd-bottom-9 {padding-bottom: clamp(5.76rem, 11.718vw, 9rem);}
.padd-bottom-10, .vc_row.padd-bottom-10, .vc_row .vc_row.padd-bottom-10 {padding-bottom: clamp(6.4rem, 13vw, 10rem);}

.padd-top-0, .vc_row.padd-top-0, .vc_row .vc_row.padd-top-0 {padding-top: 0;}
.padd-top-0_6, .vc_row.padd-top-0_6, .vc_row .vc_row.padd-top-0_6 {padding-top: clamp(.384rem, 0.78vw, .6rem);}
.padd-top-1, .vc_row.padd-top-1, .vc_row .vc_row.padd-top-1 {padding-top: clamp(.64rem, 1.3vw, 1rem);}
.padd-top-2, .vc_row.padd-top-2, .vc_row .vc_row.padd-top-2 {padding-top: clamp(1.28rem, 2.6vw, 2rem);}
.padd-top-3, .vc_row.padd-top-3, .vc_row .vc_row.padd-top-3 {padding-top: clamp(1.92rem, 3.9vw, 3rem);}
.padd-top-4, .vc_row.padd-top-4, .vc_row .vc_row.padd-top-4 {padding-top: clamp(2.56rem, 5.2vw, 4rem);}
.padd-top-5, .vc_row.padd-top-5, .vc_row .vc_row.padd-top-5 {padding-top: clamp(3.2rem, 6.5vw, 5rem);}
.padd-top-6, .vc_row.padd-top-6, .vc_row .vc_row.padd-top-6 {padding-top: clamp(3.84rem, 7.8vw, 6rem);}
.padd-top-7, .vc_row.padd-top-7, .vc_row .vc_row.padd-top-7 {padding-top: clamp(4.48rem, 9.11vw, 7rem);}
.padd-top-8, .vc_row.padd-top-8, .vc_row .vc_row.padd-top-8 {padding-top: clamp(5.12rem, 10.4vw, 8rem);}
.padd-top-9, .vc_row.padd-top-9, .vc_row .vc_row.padd-top-9 {padding-top: clamp(5.76rem, 11.718vw, 9rem);}
.padd-top-10, .vc_row.padd-top-10, .vc_row .vc_row.padd-top-10 {padding-top: clamp(6.4rem, 13vw, 10rem);}
/* end padding spaces */

.max-width-200 {max-width: 200px;}
.max-width-250 {max-width: 250px;}
.max-width-300 {max-width: 300px;}
.max-width-350 {max-width: 350px;}
.max-width-400 {max-width: 400px;}
.max-width-450 {max-width: 450px;}
.max-width-500 {max-width: 500px;}
.max-width-550 {max-width: 550px;}
.max-width-600 {max-width: 600px;}
.max-width-650 {max-width: 650px;}
.max-width-700 {max-width: 700px;}
.max-width-750 {max-width: 750px;}
.max-width-800 {max-width: 800px;}
.max-width-850 {max-width: 850px;}
.max-width-900 {max-width: 900px;}
.max-width-950 {max-width: 950px;}
.max-width-1000 {max-width: 1000px;}


.vc_row.max-1270 > .wpb_column > .vc_column-inner > .wpb_wrapper {margin: 0 auto;	max-width: 1270px;}
.vc_row.max-1270.vc_row-o-equal-height > .wpb_column > .vc_column-inner {flex-direction: row; justify-content: center;}
.vc_row.max-1270.vc_row-o-equal-height > .wpb_column > .vc_column-inner > .wpb_wrapper {flex-grow: 1;}

/* buttons */
.vc_btn3-container {margin: 0 0 4.1rem;}
.vc_btn3-container:last-child {margin-bottom: 0;}

.vc_btn3-container .vc_general.vc_btn3, .vc_btn3-container .vc_general.vc_btn3:focus, .wpb_content_element:not(.google-map-container) button {
	background: var(--clr-site-secondary); 
	overflow: hidden;
	position: relative;
  transition: all .3s ease;
  -webkit-box-shadow: none;
  box-shadow: none;
  top: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
  font-size: 20px;
  color: var(--clr-white);
  font-family: var(--font-family-primary); 
  font-weight: 500;
  text-align: center;
  padding: 1.3em .5em;
  cursor: pointer;
  border: solid 2px var(--clr-site-secondary);
	min-width: 13.5em;
}


/* button hover */
.vc_btn3-container .vc_general.vc_btn3:hover, .wpb_content_element:not(.google-map-container) button:hover
{
	background: var(--clr-white); 
	color: var(--clr-site-secondary); 
	border-color: var(--clr-site-secondary);
}

/* button focus with keyboard */
.vc_btn3-container .vc_general.vc_btn3:focus-visible, .wpb_content_element:not(.google-map-container) button:focus-visible
{
	outline: 0; 
	background: var(--clr-white); 
	color: var(--clr-site-secondary); 
	border-color: var(--clr-site-secondary);
}


/* slick global */
.slick-slider {position: relative; display: block; box-sizing: border-box; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none;  user-select: none; -webkit-touch-callout: none; -khtml-user-select: none; -ms-touch-action: pan-y; touch-action: pan-y; -webkit-tap-highlight-color: transparent;}
.slick-list {position: relative; display: block; overflow: hidden; margin: 0; padding: 0;}
.slick-list:focus {outline: none;}
.slick-list.dragging {cursor: pointer; cursor: hand;}
/*.slick-slider .slick-track, .slick-slider .slick-list {-webkit-transform: translate3d(0, 0, 0);  -moz-transform: translate3d(0, 0, 0); -ms-transform: translate3d(0, 0, 0); -o-transform: translate3d(0, 0, 0); transform: translate3d(0, 0, 0);}*/
.slick-track {position: relative; top: 0; left: 0;display: block; margin-left: auto; margin-right: auto;}
.slick-track:before,.slick-track:after{display: table; content: '';}
.slick-track:after{clear: both;}
.slick-loading .slick-track{visibility: hidden;}
.slick-slide{display: none; float: left; height: 100%; min-height: 1px;}
[dir='rtl'] .slick-slide{float: right;}
.slick-slide img{display: block; margin: 0 auto;}
.slick-slide.slick-loading img{display: none;}
.slick-slide.dragging img{pointer-events: none;}
.slick-initialized .slick-slide{display: block;}
.slick-loading .slick-slide{visibility: hidden;}
.slick-vertical .slick-slide{display: block; height: auto; border: 1px solid transparent;}
.slick-arrow.slick-hidden {display: none;}

.slick-slide-nav {position: absolute; top: 50%; display: block; width: 2.24rem; height: 1.88rem; transform: translateY(-50%); }
.slick-slide-nav img, .slick-slide-nav svg {width: 100%; display: block;}
.prev-slide {left: -2.6rem;}
.next-slide {right: -2.6rem;}


/* projects slider over footer */
.projects-slider-list {margin: 0 auto; max-width: 1312px; position: relative;	width: 80%;}
.projects-slider-element a {display: block; margin: 10px 1.76rem;}
.projects-slider-element a picture {display: block; border: solid 1px #D8D8D8;}
.projects-slider-element a picture img {display: block; width: 100%; height: 100%; object-fit: cover; aspect-ratio: 1/1;}

/* kontakt */
#map {width: 100%; height: 100%;}
#map img {max-width: 1000em;}
#map > div {height:100%; width:100%; border:0;  -webkit-backface-visibility: hidden; backface-visibility: hidden; /* Fix for transition flickering */ }


.custom_ratio img, .custom_ratio video {width: 100%; height: 100%; object-fit: cover; display: block;}
.wide_screen img, .wide_screen video {aspect-ratio: 1 / .5625;}
.square img, .square video {aspect-ratio: 1 / 1;}

.simple_teaser a {display: block; overflow: hidden;}
@media (hover) {
	.simple_teaser a > picture {display: block; transition: transform .8s cubic-bezier(0.260, 0.860, 0.440, 0.985);}
	.simple_teaser a:hover > picture:not(.video_container) {transform: scale(1.05);}
}


.project_detail_footer_slider {border-top: solid 1px var(--clr-grey); margin-top: clamp(40px, 13vw, 10rem);}


/* slider */
.project-slider.format_wide .project-slider-slick {aspect-ratio: 16/9;}
.project-slider.format_square .project-slider-slick {aspect-ratio: 1/1;}

.project-slider .project_media {width: 100%; flex-grow: 1;}
.project-slider .project_media picture {width: 100%; display: block;}
.project-slider .project_media picture img, .project-slider .project_media picture video {width: 100%; height: 100%; object-fit: cover; position: relative; z-index: 100;}
.project-slider .project_media picture .video_over {position: absolute; z-index: 200; background: rgba(255,255,255,.5); opacity: 0; width: 100%; top: 0; left: 0; height: 85%;}
.project-slider .project_media picture .video_over_left, .project-slider .project_media picture .video_over_right {width: 45%;}
.project-slider .project_media picture .video_over_right {left: 55%;}
.touch .project-slider .project_media picture .video_over {display: none;}

.project-slider .project_text {height: auto; padding: 0 20px 2rem;  opacity: 0; transform: translateX(50%); /*transition: all .3s ease 0s;*/}
.project-slider .slick_active .project_text {opacity: 1; transform: translateX(0); transition: transform .8s cubic-bezier(0.260, 0.860, 0.440, 0.985), opacity 1s ease;}

.project-slider .project_text p {margin: 0 0 1em;}
.project-slider .project_text p:last-child {margin: 0;}




@media screen and (min-width: 768px) {

	.project-slider:not(.format_original) .project-slider-slick .slick-list,
	.project-slider:not(.format_original) .project-slider-slick .slick-track,
	.project-slider:not(.format_original) .project-slider-slick .project-slider-element,
	.project-slider:not(.format_original) .project-slider-slick .project_slide_container {height: 100%;}

	.project-slider:not(.format_original) .project_media picture,
	.project-slider:not(.format_original) .project_media picture img, 
	.project-slider:not(.format_original) .project_media picture video {height: 100%;}


	/* .project-slider-slick:not(.image_full) {border: solid 1px var(--clr-grey);} */


	.wpb_button:last-child, .wpb_content_element:last-child, ul.wpb_thumbnails-fluid > li:last-child {margin-bottom: 0;}
	.vc_btn3-container .vc_general.vc_btn3, .wpb_content_element:not(.google-map-container) button, .vc_btn3-container .vc_general.vc_btn3:focus {font-size: 1rem;}

	.no-wrap-desktop {white-space: nowrap;}
	
	/* two or more blocks in one row - equal height */
	.teaserblocks_in_row_equal_height .wpb_wrapper,
	.teaserblocks_in_row_equal_height .wpb_content_element,
	.teaserblocks_in_row_equal_height .simple_teaser {height: 100%;}

	/* slider */
	
	.image_left .project_slide_container {flex-direction: row-reverse;}
	.image_right .project_slide_container {flex-direction: row;}
	.image_right_text_over .project_slide_container {flex-direction: row;}

	.project-slider.format_original .project_media {display: flex; align-items: center;}

	.project-slider .project_text {flex-shrink: 0; width: 51%;}
	.project-slider .project_text + .project_media {width: 49%;}

	.project-slider .project_text {padding: 2rem 1rem 2rem 7%;}
	.project-slider .image_right .project_text {padding-left: 4%;}
	.project-slider .image_left .project_text {padding-left: 7%;}
	.project-slider .image_right_text_over .project_text {padding: 0;}

	.project-slider .image_right_text_over h1, .project-slider .image_right_text_over h2, .project-slider .image_right_text_over h3, .project-slider .image_right_text_over h4, .project-slider .image_right_text_over h5, .project-slider .image_right_text_over h6 {white-space: nowrap;}

	.project-slider .image_right_text_over .project_slide_container {padding: clamp(20px, 4.6vw, 3.6rem); padding-right: 0;}
	.project-slider .image_right_text_over .project_text  {position: relative; z-index: 200; width: 66%;}
	.project-slider .image_right_text_over .project_media  {position: relative; z-index: 100; width: 34%;}

	.project-slider .project_text p {max-width: 90%;}
}

@media screen and (min-width: 1024px) {


}




@media screen and (max-width: 1680px) {
}

@media screen and (max-width: 1440px) {
	
}


@media screen and (max-width: 1280px) {

}


@media screen and (max-width: 1200px) {
	.project-slider .project_text p br {display: none;}
}

@media screen and (max-width: 1024px) {
	
}

@media screen and (max-width: 1023px) {
	
}



@media screen and (max-width: 900px) {
}

@media screen and (max-width: 767px) {

	.wpb_button, .wpb_content_element, ul.wpb_thumbnails-fluid > li, .vc_btn3-container {margin-bottom: 3rem;}
	.wpb_button:last-child, .wpb_content_element:last-child, ul.wpb_thumbnails-fluid > li:last-child, .vc_btn3-container:last-child {margin-bottom: 3rem;}
	
	.wpb_column:last-child .wpb_button:last-child, .wpb_column:last-child .wpb_content_element:last-child, .wpb_column:last-child ul.wpb_thumbnails-fluid > li:last-child,
	.wpb_column:last-child .vc_btn3-container:last-child {margin-bottom: 0;}
	
	.vc_row .vc_row:not(:last-child), .vc_row .vc_row:last-child {padding-bottom: 0;}
	.vc_row .vc_row .wpb_content_element:last-child {margin-bottom: 0;}

	/* .vc_row .wpb_column:not(:first-child):not(.mobile-breakpoint-no-margin)  {margin-top: 2rem;}
	.vc_row .vc_row .wpb_column:not(:first-child):not(.mobile-breakpoint-no-margin)  {margin-top: 4rem;}
	.vc_row .wpb_column.mobile-breakpoint-top-margin  {margin-top: 2rem;} */

	/* padding spaces */
	.mob-padd-bottom-0, .vc_row.mob-padd-bottom-0, .vc_row .vc_row.mob-padd-bottom-0 {padding-bottom: 0;}
	.mob-padd-bottom-1, .vc_row.mob-padd-bottom-1, .vc_row .vc_row.mob-padd-bottom-1 {padding-bottom: 5px;}
	.mob-padd-bottom-2, .vc_row.mob-padd-bottom-2, .vc_row .vc_row.mob-padd-bottom-2 {padding-bottom: 10px;}
	.mob-padd-bottom-3, .vc_row.mob-padd-bottom-3, .vc_row .vc_row.mob-padd-bottom-3 {padding-bottom: 15px;}
	.mob-padd-bottom-4, .vc_row.mob-padd-bottom-4, .vc_row .vc_row.mob-padd-bottom-4 {padding-bottom: 20px;}
	.mob-padd-bottom-5, .vc_row.mob-padd-bottom-5, .vc_row .vc_row.mob-padd-bottom-5 {padding-bottom: 25px;}
	.mob-padd-bottom-6, .vc_row.mob-padd-bottom-6, .vc_row .vc_row.mob-padd-bottom-6 {padding-bottom: 30px;}
	.mob-padd-bottom-7, .vc_row.mob-padd-bottom-7, .vc_row .vc_row.mob-padd-bottom-7 {padding-bottom: 35px;}
	.mob-padd-bottom-8, .vc_row.mob-padd-bottom-8, .vc_row .vc_row.mob-padd-bottom-8 {padding-bottom: 40px;}
	.mob-padd-bottom-9, .vc_row.mob-padd-bottom-9, .vc_row .vc_row.mob-padd-bottom-9 {padding-bottom: 45px;}
	.mob-padd-bottom-10, .vc_row.mob-padd-bottom-10, .vc_row .vc_row.mob-padd-bottom-10 {padding-bottom: 50px;}

	.mob-padd-top-0, .vc_row.mob-padd-top-0, .vc_row .vc_row.mob-padd-top-0 {padding-top: 0;}
	.mob-padd-top-1, .vc_row.mob-padd-top-1, .vc_row .vc_row.mob-padd-top-1 {padding-top: 5px;}
	.mob-padd-top-2, .vc_row.mob-padd-top-2, .vc_row .vc_row.mob-padd-top-2 {padding-top: 10px;}
	.mob-padd-top-3, .vc_row.mob-padd-top-3, .vc_row .vc_row.mob-padd-top-3 {padding-top: 15px;}
	.mob-padd-top-4, .vc_row.mob-padd-top-4, .vc_row .vc_row.mob-padd-top-4 {padding-top: 20px;}
	.mob-padd-top-5, .vc_row.mob-padd-top-5, .vc_row .vc_row.mob-padd-top-5 {padding-top: 25px;}
	.mob-padd-top-6, .vc_row.mob-padd-top-6, .vc_row .vc_row.mob-padd-top-6 {padding-top: 30px;}
	.mob-padd-top-7, .vc_row.mob-padd-top-7, .vc_row .vc_row.mob-padd-top-7 {padding-top: 35px;}
	.mob-padd-top-8, .vc_row.mob-padd-top-8, .vc_row .vc_row.mob-padd-top-8 {padding-top: 40px;}
	.mob-padd-top-9, .vc_row.mob-padd-top-9, .vc_row .vc_row.mob-padd-top-9 {padding-top: 45px;}
	.mob-padd-top-10, .vc_row.mob-padd-top-10, .vc_row .vc_row.mob-padd-top-10 {padding-top: 50px;}
	/* end padding spaces */

	/* remove br in mobile */
	.remove_br_mobile p br, .remove_br_mobile ul br, .remove_br_mobile blockquote br, .remove_br_mobile h1 br, .remove_br_mobile h2 br, .remove_br_mobile h3 br, .remove_br_mobile h4 br, .remove_br_mobile h5 br, .remove_br_mobile h6 br {display: none;}
	h1 i, h1 em, h2 i, h2 em, h3 i, h3 em, h4 i, h4 em, h5 i, h5 em, h6 i, h6 em {display: block;}

	.vc_row-no-padding .wpb_text_column {padding: 0 20px;}

	.mobile-column-reverse {display: flex; flex-direction: column-reverse;}
	.mobile-row-reverse > .wpb_column > .vc_column-inner > .wpb_wrapper {display: flex; flex-direction: column-reverse; flex-wrap: wrap;}

	/* slider */
	.project-slider .project-slider-slick {aspect-ratio: auto!important;}
	.project_slide_container {flex-direction: column;}
	.vc_row-no-padding .project-slider .project_text {padding: 0 20px 2rem;}
	.project-slider .project_media picture.video_container {aspect-ratio: 16/9;}
}	

@media screen and (max-width: 600px) {
	.projects-slider-list {margin: 0 50px; width: auto;}
	.projects-slider-element a {margin: 10px 0;}
	.projects-slider-list .prev-slide {left: -55px;}
	.projects-slider-list .next-slide {right: -55px;}

}

@media screen and (max-width: 479px) {
	
}


@media screen and (max-width: 420px) {
	
}

@media screen and (max-width: 390px) {
	
	
}

@media screen and (max-width: 360px) {


}






















